# Uses of Class
it.tdlight.jni.TdApi.MessageSendingState

## Uses of TdApi.MessageSendingState in it.tdlight.jni

Subclasses of TdApi.MessageSendingState in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.MessageSendingStateFailed`
The message failed to be sent.
`static final class`
`TdApi.MessageSendingStatePending`
The message is being sent now, but has not yet been delivered to the server.
Fields in it.tdlight.jni declared as TdApi.MessageSendingState
Modifier and Type
Field
Description
`TdApi.MessageSendingState`
TdApi.Message.`sendingState`
The sending state of the message; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.MessageSendingState
Modifier
Constructor
Description
``
`Message(long id, TdApi.MessageSender sender, long chatId, TdApi.MessageSendingState sendingState, TdApi.MessageSchedulingState schedulingState, boolean isOutgoing, boolean isPinned, boolean canBeEdited, boolean canBeForwarded, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canGetStatistics, boolean canGetMessageThread, boolean canGetViewers, boolean canGetMediaTimestampLinks, boolean hasTimestampedMedia, boolean isChannelPost, boolean containsUnreadMention, int date, int editDate, TdApi.MessageForwardInfo forwardInfo, TdApi.MessageInteractionInfo interactionInfo, long replyInChatId, long replyToMessageId, long messageThreadId, int ttl, double ttlExpiresIn, long viaBotUserId, String authorSignature, long mediaAlbumId, String restrictionReason, TdApi.MessageContent content, TdApi.ReplyMarkup replyMarkup)`
Describes a message.